<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
  <meta charset="UTF-8">
  <title>Payroll Update</title>
</head>
<body>

<section class="content-header" layout:fragment="breadcrumb">
  <h1>
    Payroll
    <small th:text="${employess.getCompanies().getCompanyName()}">Control panel</small>
  </h1>
  <ol class="breadcrumb">
    <li><a href="#"><i class="fa fa-dashboard"></i> Payroll</a></li>
    <li class="active">Update</li>
  </ol>
</section>

<section layout:fragment="main" class="content">

  <div class="row">
    <div class="box box-info">
      <div class = "box-header with-border">

        <div class="row">
          <div class = "col-md-6">
            <div class="form-group">
              <label class="col-sm-2 control-label">Effective Date:</label>
              <div class="col-sm-10">
                <div class="input-group date">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                  <input type="text" class="form-control pull-right" id="effectiveDateString" name="effectiveDateString" placeholder="Effective Date MM/dd/yyyy">
                </div>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="payrollComponent" class="col-sm-2 control-label">PayrollComponent</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="payrollComponent" id="payrollComponent" style="width: 100%;">
                  <option th:each="data : ${listPayrollComponent}"
                          th:text="${'('+ data.getJenisComponent() +')'  + '       -       ' +  data.getName()}"
                          th:value="${data.id}">sdasd</option>
                </select>
              </div>
            </div>
          </div>
        </div>


        <div class="row">

          <div class="col-md-6">
            <div class="form-group">
              <label for="tipe" class="col-sm-2 control-label">Type</label>

              <div class="col-sm-10">
                <select class="form-control select2" name="tipe" id="tipe" style="width: 100%;">
                  <option th:value="ADJUSTMENT" th:text="ADJUSMENT" >sdasd</option>
                  <option th:value="DEFAULT" th:text="DEFAULT" >sdasd</option>
                </select>
              </div>
            </div>
          </div>
          <div class="col-md-6">
            <div class="form-group">
              <label for="description" class="col-sm-2 control-label">Desctiption</label>

              <div class="col-sm-10">
                <input type="text" class="form-control" name="description" id="description" placeholder="Description">
              </div>
            </div>
          </div>
        </div>

      </div>
      <div class = "box-body">

        <a class="btn btn-default" title="Add"><i class="ion-plus"></i> Add</a>
        <a class="btn btn-default" title="Add"><i class="ion-android-download"></i> Import</a>
        <a class="btn btn-default" title="Add"><i class="ion-android-upload"></i> Export</a>
        <a class="btn btn-default" title="Add"><i class="ion-ios-reload"></i> Reset</a>
        <a class="btn btn-default" title="Add"><i class="ion-android-delete"></i> Delete</a>


      </div>
      <div class = "box-footer">


      </div>
    </div>
  </div>

</section>

<section layout:fragment="footer" class="script">
  <script>
    $(function () {
      //Initialize Select2 Elements
      $('.select2').select2()

      //Datemask dd/mm/yyyy
      $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
      //Datemask2 mm/dd/yyyy
      $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
      //Money Euro
      $('[data-mask]').inputmask()

      //Date range picker
      $('#reservation').daterangepicker()
      //Date range picker with time picker
      $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
      //Date range as a button
      $('#daterange-btn').daterangepicker(
              {
                ranges   : {
                  'Today'       : [moment(), moment()],
                  'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                  'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                  'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                  'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                  'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                },
                startDate: moment().subtract(29, 'days'),
                endDate  : moment()
              },
              function (start, end) {
                $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
              }
      )

      //Date picker
      $('#effectiveDateString').datepicker({
        autoclose: true
      })

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass   : 'iradio_minimal-blue'
      })
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass   : 'iradio_minimal-red'
      })
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass   : 'iradio_flat-green'
      })

      //Colorpicker
      $('.my-colorpicker1').colorpicker()
      //color picker with addon
      $('.my-colorpicker2').colorpicker()

      //Timepicker
      $('.timepicker').timepicker({
        showInputs: false
      })
    })
  </script>
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });

    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
  <script>
  $(function () {
  $('#example1').DataTable()
  $('#example2').DataTable({
  'paging'      : true,
  'lengthChange': false,
  'searching'   : false,
  'ordering'    : true,
  'info'        : true,
  'autoWidth'   : false
  })
  })
  </script>
</section>
</body>
</html>